<?php
/**
 *  Workart Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage  Workart Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function workart_pro_custom_colors_css() {
  	$options= workart_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.backtotop,
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	.main-navigation li.search-menu a:hover,
	.main-navigation li.search-menu a:focus,
	.main-navigation .count span,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.author-name:after,
	.reply a,
	.btn,
	.slick-prev:hover,
	.slick-next:hover,
	.slick-prev:focus,
	.slick-next:focus,
	.slick-dots li.slick-active button,
	#top-destinations .btn:hover,
	#top-destinations .btn:focus,
	#testimonial-section .separator,
	#subscribe-now button[type="submit"],
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.enquiry-button .btn,
	#magazine-highlighted-posts ul.post-categories li a:hover,
	#magazine-featured-posts ul.post-categories li a:hover,
	#magazine-recent-posts ul.post-categories li a:hover,
	#magazine-popular-posts ul.post-categories li a:hover,
	#magazine-three-column-posts ul.post-categories li a:hover,
	#magazine-single-column-posts ul.post-categories li a:hover,
	#magazine-latest-posts ul.post-categories li a:hover,
	#magazine-most-viewed-posts ul.post-categories li a:hover,
	#magazine-highlighted-posts ul.post-categories li a:focus,
	#magazine-featured-posts ul.post-categories li a:focus,
	#magazine-recent-posts ul.post-categories li a:focus,
	#magazine-popular-posts ul.post-categories li a:focus,
	#magazine-three-column-posts ul.post-categories li a:focus,
	#magazine-single-column-posts ul.post-categories li a:focus,
	#magazine-latest-posts ul.post-categories li a:focus,
	#magazine-most-viewed-posts ul.post-categories li a:focus,
	#blog-slider .cat-links a,
	#blog-featured-posts .cat-links a,
	#blog-popular-posts .cat-links a,
	#blog-latest-posts .cat-links a,
	#blog-recent-posts .cat-links a,
	.seventh-design.home .read-more .btn:hover,
	.seventh-design.home .read-more .btn:focus,
	#masthead .custom-button,
	#featured-slider .slick-arrow,
	form.search-form button.search-submit,
	form.search-form button.search-submit:hover, 
	form.search-form button.search-submit:focus {
	    background-color: ' . esc_attr( $color_value ) . ';
	}

	a,
	.site-title a:hover,
	.site-title a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.widget_popular_posts h3 a:hover,
	.widget_popular_posts h3 a:focus,
	.widget_popular_posts a:hover time,
	.widget_popular_posts a:focus time,
	.widget_latest_post h3 a:hover,
	.widget_latest_post h3 a:focus,
	.widget_latest_post a:hover time,
	.widget_latest_post a:focus time,
	.widget_featured_courses .course-wrapper h5 a:hover,
	.widget_featured_courses .course-wrapper h5 a:focus,
	.widget_featured_courses .tp-course-price,
	.widget_popular_courses .course-wrapper h5 a:hover,
	.widget_popular_courses .course-wrapper h5 a:focus,
	.widget_popular_courses .tp-course-price,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.page-header small,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	#counter-section .counter-value,
	.archive-blog-wrapper .posted-on a:hover,
	.archive-blog-wrapper .posted-on a:focus,
	.entry-meta span:not(:last-child):after,
	ul.post-categories li a,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .widget_text .widget-title,
	#colophon .site-info a,
	.contact-info a:hover, 
	.contact-info a:focus,
	.seventh-design.home .read-more .btn,
	.main-navigation ul.sub-menu li a:hover,
	.main-navigation ul.sub-menu li a:focus,
	.featured-content-wrapper .entry-title a:hover, 
	.featured-content-wrapper .entry-title a:focus,
	.featured-content-wrapper .btn:hover, 
	.featured-content-wrapper .btn:focus, 
	.featured-content-wrapper .btn:not(:first-child):hover, 
	.featured-content-wrapper .btn:not(:first-child):focus,
	.featured-content-wrapper .btn,
	.section-subtitle ,
	.section-title a:hover,
	.section-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	#blog-featured-posts .cat-links a:hover,
	#blog-popular-posts .cat-links a:hover,
	#blog-latest-posts .cat-links a:hover,
	#blog-recent-posts .cat-links a:hover
	#blog-featured-posts .cat-links a:focus,
	#blog-popular-posts .cat-links a:focus,
	#blog-latest-posts .cat-links a:focus,
	#blog-recent-posts .cat-links a:focus,
	span.woocommerce-Price-amount.amount,
	.woocommerce ul.products li.product .price del,
	.product_meta a:hover, .product_meta a:focus, 
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	#colophon .site-info a:not(:first-child),
	.second-design .main-navigation ul#primary-menu li.current-menu-item > a, 
	.second-design .main-navigation ul#primary-menu li:hover > a, 
	.second-design .main-navigation ul#primary-menu li:focus > a {
		color: ' . esc_attr( $color_value ) . ';
	}

	.loader-container svg,
	.contact-info svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.single-wrapper span.posted-on svg,
	.single-wrapper span.cat-links svg,
	.more-link a svg,
	#masthead .main-navigation ul ul li a svg:hover,
	#masthead .main-navigation ul ul li a svg:focus,
	.main-navigation ul ul li.menu-item-has-children:hover > a > svg,
	#masthead .custom-button:hover svg, 
	#masthead .custom-button:focus svg,
	#masthead .main-navigation ul ul li a svg {
		fill: ' . esc_attr( $color_value ) . ';
	}

	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.slick-dots li button,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus,
	.dark-version .pagination .page-numbers.current, 
	.dark-version .pagination .page-numbers:hover, 
	.dark-version .pagination .page-numbers:focus,
	#masthead .custom-button:hover, 
	#masthead .custom-button:focus,
	.btn:hover, 
	.btn:focus,
	#blog-featured-posts .cat-links a:hover,
	#blog-popular-posts .cat-links a:hover,
	#blog-latest-posts .cat-links a:hover,
	#blog-recent-posts .cat-links a:hover
	#blog-featured-posts .cat-links a:focus,
	#blog-popular-posts .cat-links a:focus,
	#blog-latest-posts .cat-links a:focus,
	#blog-recent-posts .cat-links a:focus,
	#blog-featured-posts .cat-links a:not(:first-child),
	#blog-popular-posts .cat-links a:not(:first-child),
	#blog-latest-posts .cat-links a:not(:first-child),
	#blog-recent-posts .cat-links a:not(:first-child) {
		border-color: ' . esc_attr( $color_value ) . ';
	}

	@media screen and (min-width: 1024px) {
		.main-navigation ul.nav-menu > li > a.custom-button:hover,
		.main-navigation ul.nav-menu > li > a.custom-button:focus {
			background-color: ' . esc_attr( $color_value ) . ';
		}
	}

	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr( $color_value ) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	}';

	/**
	 * Filters  Workart Pro custom colors CSS.
	 *
	 * @since  Workart Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'workart_pro_custom_colors_css', $css );
}
