<?php 

$wp_customize->add_section( 'workart_pro_home_layout', 
	array(
		'title'             => esc_html__( 'Home Page Layout','workart-pro' ),
		'description'       => esc_html__( 'Home Page Layout option.', 'workart-pro' ),
		'panel'             => 'workart_pro_front_page_panel',
	)
);


$wp_customize->add_setting( 'workart_pro_theme_options[home_layout]',
	array(
		'default'           => $options['home_layout'],
		'sanitize_callback' => 'workart_pro_sanitize_select',
		'transport'			=> 'refresh'
	)
);

$wp_customize->add_control( 'workart_pro_theme_options[home_layout]',
	array(
		'type'				=> 'radio',
		'label'             => esc_html__( 'Select Homepage layout', 'workart-pro' ),
		'section'           => 'workart_pro_home_layout',
		'choices'				 => array( 
			'pro-design'    	 => esc_html__( 'All Design', 'workart-pro' ),
			'default-design'     => esc_html__( 'Default Design', 'workart-pro' ),
			'second-design'      => esc_html__( 'Business Design', 'workart-pro' ),
			'third-design'       => esc_html__( 'Blog Design', 'workart-pro' ),
			'fourth-design'      => esc_html__( 'Shop Design', 'workart-pro' ),
		)
	)
);


foreach ( array( 'pro', 'default', 'second', 'third', 'fourth' ) as $list) {
	// Site layout setting and control.
	$wp_customize->add_setting( 'workart_pro_theme_options['.$list.'_sortable]',
		array(
			'default'			  => $options[$list.'_sortable'],
			'sanitize_callback'   => 'workart_pro_sanitize_sortable',
		)
	);

	$wp_customize->add_control( new Workart_Pro_Customize_Sortable_Control ( $wp_customize,
		'workart_pro_theme_options['.$list.'_sortable]',
			array(
			'label'               => sprintf( esc_html__( 'Sortable %s Homepage', 'workart-pro' ), ucfirst($list) ),
			'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'workart-pro' ),
			'section'             => 'workart_pro_home_layout',
			'type'                => 'sortable',
			'choices'			  => workart_pro_sortable_sections(),
			'active_callback'	  => 'workart_pro_is_'.$list.'_layout'
			)
		)
	);
}
