<?php
/**
 * Topbar Section options
 *
 * @package Theme Palace
 * @subpackage Workart Pro
 * @since Workart Pro 1.0.0
 */

// Add Topbar section
$wp_customize->add_section( 'workart_pro_topbar_section',
	array(
		'title'             => esc_html__( 'Topbar','workart-pro' ),
		'description'       => esc_html__( 'Topbar Section options.', 'workart-pro' ),
		'panel'             => 'workart_pro_front_page_panel',
	)
);

// topbar enable/disable control and setting
$wp_customize->add_setting( 'workart_pro_theme_options[topbar_section_enable]',
	array(
		'default'			=> 	$options['topbar_section_enable'],
		'sanitize_callback' => 'workart_pro_sanitize_switch_control',
	)
);

$wp_customize->add_control( new Workart_Pro_Switch_Control( $wp_customize,
	'workart_pro_theme_options[topbar_section_enable]',
		array(
			'label'             => esc_html__( 'Topbar Section Enable', 'workart-pro' ),
			'section'           => 'workart_pro_topbar_section',
			'on_off_label' 		=> workart_pro_switch_options(),
		)
	)
);

$wp_customize->add_setting( 'workart_pro_theme_options[topbar_contact_number]',
	array(
		'default'           =>  $options['topbar_contact_number'],
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control('workart_pro_theme_options[topbar_contact_number]',
	array(
		'label'             => esc_html__( 'Contact Number', 'workart-pro' ),
		'section'           => 'workart_pro_topbar_section',
		'type'              => 'text',
		'active_callback'   => 'workart_pro_is_topbar_section_enable',
	)
);

$wp_customize->add_setting( 'workart_pro_theme_options[topbar_contact_email]',
	array(
		'default'           =>  $options['topbar_contact_email'],
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control('workart_pro_theme_options[topbar_contact_email]',
	array(
		'label'             => esc_html__( 'Contact Email', 'workart-pro' ),
		'section'           => 'workart_pro_topbar_section',
		'type'              => 'text',
		'active_callback'   => 'workart_pro_is_topbar_section_enable',
	)
);

$wp_customize->add_setting( 'workart_pro_theme_options[topbar_contact_location]',
	array(
		'default'           =>  $options['topbar_contact_location'],
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control('workart_pro_theme_options[topbar_contact_location]',
	array(
		'label'             => esc_html__( 'Contact Location', 'workart-pro' ),
		'section'           => 'workart_pro_topbar_section',
		'type'              => 'text',
		'active_callback'   => 'workart_pro_is_topbar_section_enable',
	)
);
 

 
 // Topbar content enable control and setting
 $wp_customize->add_setting( 'workart_pro_theme_options[social_menu_enable]',
	array(
		'default'			=> 	$options['social_menu_enable'],
		'sanitize_callback' => 'workart_pro_sanitize_switch_control',
	)
);
 
 $wp_customize->add_control( new Workart_Pro_Switch_Control( $wp_customize,
	'workart_pro_theme_options[social_menu_enable]',
		array(
			'label'             => esc_html__( 'Social Menu Enable', 'workart-pro' ),
			'description'       => sprintf( '%1$s <a class="topbar-menu-trigger" href="#"> %2$s </a> %3$s', esc_html__( 'Note: To show secondary and social menu.', 'workart-pro' ), esc_html__( 'Click Here', 'workart-pro' ), esc_html__( 'to create menu', 'workart-pro' ) ),
			'section'           => 'workart_pro_topbar_section',
			'active_callback'   => 'workart_pro_is_topbar_section_enable',
			'on_off_label' 		=> workart_pro_switch_options(),
		)
	)
);
