<?php
/**
 * Loader options
 *
 * @package Theme Palace
 * @subpackage  Workart Pro
 * @since  Workart Pro 1.0.0
 */

$wp_customize->add_section( 'workart_pro_loader',
	array(
		'title'            	=> esc_html__( 'Loader','workart-pro' ),
		'description'      	=> esc_html__( 'Loader section options.', 'workart-pro' ),
		'panel'            	=> 'workart_pro_theme_options_panel',
	)
);

// Loader enable setting and control.
$wp_customize->add_setting( 'workart_pro_theme_options[loader_enable]',
	array(
		'sanitize_callback' => 'workart_pro_sanitize_switch_control',
		'default'           => $options['loader_enable'],
	)
);

$wp_customize->add_control(  new  Workart_Pro_Switch_Control( $wp_customize,
	'workart_pro_theme_options[loader_enable]',
		array(
			'label'            	=> esc_html__( 'Enable loader', 'workart-pro' ),
			'section'          	=> 'workart_pro_loader',
			'on_off_label' 		=> workart_pro_switch_options(),
		)
	)
);

// Loader icons setting and control.
$wp_customize->add_setting( 'workart_pro_theme_options[loader_icon]',
	array(
		'sanitize_callback' => 'workart_pro_sanitize_select',
		'default'			=> $options['loader_icon'],
	)
);

$wp_customize->add_control( 'workart_pro_theme_options[loader_icon]',
	array(
		'label'           	=> esc_html__( 'Icon', 'workart-pro' ),
		'section'         	=> 'workart_pro_loader',
		'type'				=> 'select',
		'choices'			=> workart_pro_get_spinner_list(),
		'active_callback' 	=> 'workart_pro_is_loader_enable',
	)
);
