<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage  Workart Pro
 * @since  Workart Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'workart_pro_menu',
	array(
		'title'             => esc_html__('Header Menu','workart-pro'),
		'description'       => esc_html__( 'Header Menu options.', 'workart-pro' ),
		'panel'             => 'nav_menus',
	)
);

// Menu sticky setting and control.
$wp_customize->add_setting( 'workart_pro_theme_options[menu_sticky]',
	array(
		'sanitize_callback' => 'workart_pro_sanitize_switch_control',
		'default'           => $options['menu_sticky'],
	)
);

$wp_customize->add_control( new  Workart_Pro_Switch_Control( $wp_customize,
	'workart_pro_theme_options[menu_sticky]',
		array(
			'label'             => esc_html__( 'Make Menu Sticky', 'workart-pro' ),
			'section'           => 'workart_pro_menu',
			'on_off_label' 		=> workart_pro_switch_options(),
		)
	)
);

$wp_customize->add_setting( 'workart_pro_theme_options[search_icon_in_primary_menu_enable]',
	array(
		'sanitize_callback' => 'workart_pro_sanitize_switch_control',
		'default'           => $options['search_icon_in_primary_menu_enable'],
	)
);

$wp_customize->add_control( new  Workart_Pro_Switch_Control( $wp_customize,
	'workart_pro_theme_options[search_icon_in_primary_menu_enable]',
		array(
			'label'             => esc_html__( 'Show Search Icon', 'workart-pro' ),
			'description'       => esc_html__( 'Show Search Icon in Primary menu', 'workart-pro' ),
			'section'           => 'workart_pro_menu',
			'on_off_label' 		=> workart_pro_switch_options(),
		)
	)
);

$wp_customize->add_setting( 'workart_pro_theme_options[enable_cart_button]',
	array(
		'sanitize_callback' => 'workart_pro_sanitize_switch_control',
		'default'           => $options['enable_cart_button'],
	)
);

$wp_customize->add_control( new  Workart_Pro_Switch_Control( $wp_customize,
	'workart_pro_theme_options[enable_cart_button]',
		array(
			'label'             => esc_html__( 'Show Cart Button', 'workart-pro' ),
			'section'           => 'workart_pro_menu',
			'on_off_label' 		=> workart_pro_switch_options(),
			'active_callback'	=> function( $control ) {
				return (
					class_exists( 'WooCommerce' )
				);
			},
		)
	)
);

$wp_customize->add_setting( 'workart_pro_theme_options[enable_wishlist_button]',
	array(
		'sanitize_callback' => 'workart_pro_sanitize_switch_control',
		'default'           => $options['enable_wishlist_button'],
	)
);

$wp_customize->add_control( new  Workart_Pro_Switch_Control( $wp_customize,
	'workart_pro_theme_options[enable_wishlist_button]',
		array(
			'label'             => esc_html__( 'Show Wishlist Button', 'workart-pro' ),
			'section'           => 'workart_pro_menu',
			'on_off_label' 		=> workart_pro_switch_options(),
			'active_callback'	=> function( $control ) {
				return (
					class_exists( 'WooCommerce' )
				);
			},
		)
	)
);

