<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage  Workart Pro
* @since  Workart Pro 1.0.0
*/
if ( ! function_exists( 'workart_pro_validate_our_services_posts_count' ) ) :
    function workart_pro_validate_our_services_posts_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 1 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'workart-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'workart-pro' ) );
       }
       return $validity;
    }
  endif;
if ( ! function_exists( 'workart_pro_validate_long_excerpt' ) ) :
    function workart_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'workart-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'workart-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_featured_slider_count' ) ) :
  function workart_pro_validate_featured_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'workart-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'workart-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'workart_pro_validate_gallery_count' ) ) :
    function workart_pro_validate_gallery_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'workart-pro' ) );
       } elseif ( $value > 21 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 21', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_featured_posts_count' ) ) :
    function workart_pro_validate_featured_posts_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'workart-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_featured_products_count' ) ) :
    function workart_pro_validate_featured_products_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'workart-pro' ) );
       } elseif ( $value > 4 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 4', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_featured_products_count' ) ) :
    function workart_pro_validate_featured_products_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'workart-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_popular_posts_count' ) ) :
    function workart_pro_validate_popular_posts_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'workart-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_recent_posts_count' ) ) :
    function workart_pro_validate_recent_posts_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'workart-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_featured_artist_count' ) ) :
    function workart_pro_validate_featured_artist_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 1 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'workart-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_testimonial_count' ) ) :
    function workart_pro_validate_testimonial_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'workart-pro' ) );
       } elseif ( $value > 9 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_hero_slider_count' ) ) :
    function workart_pro_validate_hero_slider_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 1 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'workart-pro' ) );
       } elseif ( $value > 10 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_products_collection_count' ) ) :
    function workart_pro_validate_products_collection_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 2 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'workart-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_our_partners_count' ) ) :
    function workart_pro_validate_our_partners_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 1 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'workart-pro' ) );
       } elseif ( $value > 5 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'workart-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'workart_pro_validate_trending_products_count' ) ) :
    function workart_pro_validate_trending_products_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'workart-pro' ) );
       } elseif ( $value < 1 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'workart-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'workart-pro' ) );
       }
       return $validity;
    }
endif;
